This is a live mirror of the Perl 5 development currently hosted at https://github.com/perl/perl5
perldiag: ‘Integer overflow in version’ is W
authorFather Chrysostomos <sprout@cpan.org>
Sun, 24 Jun 2012 18:22:10 +0000 (11:22 -0700)
committerFather Chrysostomos <sprout@cpan.org>
Sun, 24 Jun 2012 18:22:10 +0000 (11:22 -0700)
pod/perldiag.pod

index 7addbc2..375311f 100644 (file)
@@ -2301,12 +2301,11 @@ operations.
 
 =item Integer overflow in version
 
-(F) Some portion of a version initialization is too large for the
-size of integers for your architecture.  This is not a warning
+(W overflow) Some portion of a version initialization is too large for
+the size of integers for your architecture.  This is not a warning
 because there is no rational reason for a version to try and use an
-element larger than typically 2**32.  This is usually caused by
-trying to use some odd mathematical operation as a version, like
-100/9.
+element larger than typically 2**32.  This is usually caused by trying
+to use some odd mathematical operation as a version, like 100/9.
 
 =item Internal disaster in regex; marked by <-- HERE in m/%s/